# Get installment details

This endpoint returns detailed information of an Installment record in Salesforce, including status and related Payment records.

Endpoint: GET /Installment/{ID}
Version: v2
Security: Salesforce_Production, Salesforce_Sandbox

## Path parameters:

  - `ID` (string, required)
    The record Id or GUID of the installment to query.
    Example: "a083X00001aUMCnQAO"

## Response 200 fields (application/json):

  - `Id` (string)
    The Salesforce record Id of the installment.
    Example: "a083X00001aUMCnQAO"

  - `GUID` (string)
    The Salesforce GUID of the installment.
    Example: "sdfasdf-asfads-242134-adsfadf-23423"

  - `Url` (string)
    The Salesforce URL of the installment.
    Example: "/services/data/63.0/sobjects/cpm__Installment__c/a083X00001aUMCnQAO"

  - `Type` (string)
    The Salesforce object type.
    Example: "cpm__Installment__c"

  - `Status` (string)
    The status of the installment. For more information, see [installment status and counters](/docs/@production/data-model/installment.md#status-and-counters).
    Enum: "Cancelled", "Collected", "Failed", "New", "Outstanding", "Paid", "Pending", "Partially paid", "Pending Processing", "Pending recollection", "Refunded", "Rejected", "Reversed"

  - `Amount` (number)
    The original amount to be collected.
    Example: 10

  - `AmountOpen` (number)
    The amount still to be collected, i.e. original amount minus any already paid amounts.

  - `Target` (any)
    The name of the target, a bank account or PSP merchant account, specified for the installment.
    Example: "PRIMARY-BANK-ACCOUNT"

  - `RecordTypeName` (string)
    The record type of the installment for incoming payment and Payable for outgoing payments.
    Example: "Receivable"

  - `PayUrl` (string)
    URL that can be used to pay this installment. This can be a [PayLinks](/docs/@production/payments/configuring-findock-paylinks.md) or [Tikkie URL](/docs/@production/payment-processors/using-tikkie.md#tikkie-url.md).
    Example: "https://link.dev.findock.com/pay/3xxxxmuai2/8897b4da-e48a-7ff3-90dd-ecb65094802c"

  - `PayLinkPage` (string)
    The slug for the PayLink URL if multiple PayLinks pages are configured in the org.
    Example: "pageAbcSlug"

  - `PaymentProcessor` (any)
    The name of the payment processor package used to process the installment.
    Example: "PaymentHub-SEPA"

  - `PaymentMethod` (any)
    The name of the payment method used by the installment.
    Example: "DirectDebit"

  - `PaymentIntentId` (any)
    The Id of the payment intent that created the installment.
    Example: "pi_1hubybk7nh45rvbt6"

  - `Payments` (object)
    A cash movement related to an installment in Salesforce.

  - `Payments.Id` (string)
    The Salesforce record Id of the Payment record."
    Example: "a0R3X00000V20tbUAB"

  - `Payments.Url` (string)
    The Salesforce URL to the Payment record.
    Example: "/services/data/v65.0/sobjects/cpm__Payment__c/a0R3X00000V20tbUAB"

  - `Payments.Type` (string)
    The Salesforce object type.
    Example: "cpm__Payment__c"

  - `Payments.Target` (any)
    The name of the target, a bank account or PSP merchant account, specified for the installment.
    Example: "PRIMARY-BANK-ACCOUNT"

  - `Payments.PaymentProcessor` (any)
    The name of the payment processor package used to process the installment.
    Example: "PaymentHub-SEPA"

  - `Payments.PaymentMethod` (any)
    The name of the payment method used by the installment.
    Example: "DirectDebit"

  - `Payments.CollectionDate` (string)
    The date on which the payment transaction was completed.
    Example: "2025-02-03"

  - `Payments.Amount` (number)
    The amount of the payment transaction.
    Example: 25

## Response 422 fields (application/json):

  - `error_code` (integer, required)
    Example: 999

  - `error_message` (string, required)
    Example: "Installment not found: Please check that the supplied Id value is correct."


